CSR Weather Station not showing since 22 of april 2021

28/04/2021 14:59 - Giulio Di Anastasio

Status: Resolved Start date: 28/04/2021

Priority: High Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

The dashboard of the CSR Weather Station, and also the raw data downloaded from GISAF, do not show any data after 10:47 am on

22nd of april.

The console in the office receives the data from the weather station.

It looks like data are also stored in ambientweather server.

But data are not stored in Gisaf.

History

#1 - 29/04/2021 15:34 - Philippe May

- Status changed from New to Resolved

It's a relatively simple issue, but not so easy to describe in simple terms.

It happens usually after a server restart, and is due to the fact that the DNS subsystem of the server is sometimes available only after the job which

gets data from AmbientWeather has started.

I'll file a ticket for finding a long term solution and make AmbientWeather data collection more robust.

The workaround is to:

Restart the job

root@gisaf2:~# systemctl restart gisaf-sched.service@

 

Fill in missing data, eventually

I made a script to easily retrieve data from the cloud services that get data from the weather stations.

Note that the WD ids 4 and 6 are those which are affected because they send data to ambientweather.com.

gisaf@gisaf2:~$ . /usr/local/lib/venv/gisaf_python3.7/bin/activate

(gisaf_python3.7) gisaf@gisaf2:~$ ~/../avgs_device_interfaces/fix_missing_ws_data.py --wsid 4 --start-date 202

10421 --end-date 20210430

(gisaf_python3.7) gisaf@gisaf2:~$ ~/../avgs_device_interfaces/fix_missing_ws_data.py --wsid 6 --start-date 202

10421 --end-date 20210430
